from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPatternField(XInterface, Protocol):
    def setMasks(self, EditMask: str, LiteralMask: str) -> None: ...
    def getMasks(self, EditMask: str, LiteralMask: str) -> None: ...
    def setString(self, Str: str) -> None: ...
    def getString(self) -> str: ...
    def setStrictFormat(self, bStrict: bool) -> None: ...
    def isStrictFormat(self) -> bool: ...
